BEEM - Android XMPP - Bug #149

Empilememt des activites de settings
05/29/2009 06:53 PM - Frédéric Barthéléry

Status: Closed Start date: 05/29/2009
Priority: Immediate Due date: 05/31/2009
Assignee: Jean-Manuel Da Silva % Done: 100%
Category: User Interface Estimated time: 0.00 hour
Target version: 0.1

Affected version: Locale:

Description

Lorsque I'on lance I'activite settings, celle ci n'est pas quitte quand on appuie sur le boutton login. et on peut continuer ainsi a l'infini.
Ce qui fait qu'au final il faut appuyer plusieurs fois sur la fleche retour pour retourner a la 1ere activite.

Il faut mofifier les proprietes de I'activite settings pour qu'elle ne soit lancer qu'une fois (voir androidManifest.xml option
launchMode="singleTop" ou autre) et il faut voir les consequences que ca a sur l'activite login.

D'autre solution sont probablement possible

Associated revisions

Revision 227:586bbd6b647d - 06/01/2009 04:54 PM - Jean-Manuel Da Silva

Bug #149 -- Rectification de I'empilement des activités de settings, en terminant I'activité lors du retour sur I'activité Login.

Revision 227:586bbd6b647d - 06/01/2009 04:54 PM - dasilvi@jean-manuel-da-silvas-macbook.local

Bug #149 -- Rectification de I'empilement des activités de settings, en terminant I'activité lors du retour sur I'activité Login.

Revision 227:586bbd6b647d - 06/01/2009 04:54 PM - dasilvi@jean-manuel-da-silvas-macbook.local

Bug #149 -- Rectification de I'empilement des activités de settings, en terminant I'activité lors du retour sur I'activité Login.

History

#1 - 06/01/2009 03:37 PM - Vincent Véronis
- Priority changed from Normal to Immediate

- Target version changed from Prototype Technical assessement to 0.1

Quand j'ai mis immediate tta heure ca a etait fait direct =)

#2 - 06/01/2009 05:04 PM - Jean-Manuel Da Silva
- Status changed from Assigned to Feedback
- % Done changed from 0 to 100

Rectifié, en terminant I'activité Settings lors de la demande de Login.

#3 - 06/09/2009 02:10 PM - Vincent Véronis
- Status changed from Feedback to Closed
